<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('form_histories', function (Blueprint $table) {
            $table->text('attribute_changes')->nullable()->change();
        });
    }

    public function down(): void
    {
        Schema::table('form_histories', function (Blueprint $table) {
            $table->json('attribute_changes')->nullable()->change();
        });
    }
};
